Bug 830266 - various fop-related extension problems
various fop-related extension problems
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xmlto (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-08 13:18 EDT by Frank Ch. Eigler
Modified: 2012-06-19 10:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-19 10:51:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Ch. Eigler 2012-06-08 13:18:37 EDT
xmlto doesn't understand --noextensions, even though it self-documents it.

This is unfortunate, because that leaves no way to work around bug #505364 on pre-rawhide xmlto (<=0.0.24) with any docbook-style-xsl we ship, which blocks xmlto --with-fop from working at all:

javax.xml.transform.TransformerException: org.apache.fop.apps.FOPException: file:/var/tmp/xmlto.nsaSeK/tapsets.proc:2:12979: Error(2/12979): No element mapping definition found for (Namespace URI: "http://xml.apache.org/fop/extensions", Local Name: "destination")
	at org.apache.fop.cli.InputHandler.transformTo(InputHandler.java:302)
	at org.apache.fop.cli.InputHandler.renderTo(InputHandler.java:130)
	at org.apache.fop.cli.Main.startFOP(Main.java:174)
Comment 1 Ondrej Vasik 2012-06-08 14:35:36 EDT
Thanks for report, this is already fixed in upstream git. I'll make an update today.
Comment 2 Fedora Update System 2012-06-08 14:51:24 EDT
xmlto-0.0.25-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/xmlto-0.0.25-3.fc17
Comment 3 Fedora Update System 2012-06-08 14:55:17 EDT
xmlto-0.0.24-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/xmlto-0.0.24-2.fc16
Comment 4 Fedora Update System 2012-06-09 21:34:23 EDT
Package xmlto-0.0.25-3.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xmlto-0.0.25-3.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9207/xmlto-0.0.25-3.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-06-19 10:51:44 EDT
xmlto-0.0.25-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-06-19 10:53:42 EDT
xmlto-0.0.24-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.